Debian Bug report logs - #248333
sasl2-bin: saslauthd started using a realm after upgrade

version graph

Package: sasl2-bin; Maintainer for sasl2-bin is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>; Source for sasl2-bin is src:cyrus-sasl2.

Reported by: Leeman Strout <l.strout@agilixcorp.com>

Date: Mon, 10 May 2004 16:03:02 UTC

Severity: important

Tags: fixed, sid

Found in versions 2.1.18-4, 2.1.18-4.1, 2.1.15-6, 2.1.19-1

Fixed in versions cyrus-sasl-2.1/2.1.22-0~pre01, 2.1.22-0~pre04

Done: "Roberto C. Sanchez" <roberto@connexer.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Leeman Strout <l.strout@agilixcorp.com>:
New Bug report received and forwarded. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Leeman Strout <l.strout@agilixcorp.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sasl2-bin: saslauthd started using a realm after upgrade
Date: Mon, 10 May 2004 11:59:19 -0400
Package: sasl2-bin
Version: 2.1.18-4
Severity: important
Tags: sid


saslauthd is configured to use rimap for authentication.  It will then
take the given username: <user>@domain.tld and only use the <user> part
to make the authentication pass at the imap server.

Imap server sees:  user: <user> password: <pass>     instead of:
user: <user>@domain.tld password: <pass>

saslauthd reports:
May 10 11:25:01 mail saslauthd[9308]: do_auth   : auth failure:
[user=<user>] 
[service=smtp] [realm=domain.tld] [mech=rimap] [reason=remote server
rejected your credentials]

imap reports:
May 10 11:24:56 mail imaplogin: Connection, ip=[::ffff:10.4.2.23]
May 10 11:24:56 mail imaplogin: LOGIN: DEBUG: ip=[::ffff:10.4.2.23],
command=LOGIN
May 10 11:24:56 mail imaplogin: LOGIN: DEBUG: ip=[::ffff:10.4.2.23],
username=<user>
May 10 11:24:56 mail imaplogin: LOGIN: DEBUG: ip=[::ffff:10.4.2.23],
password=<pass>
May 10 11:25:01 mail imaplogin: LOGIN FAILED, ip=[::ffff:10.4.2.23]
May 10 11:25:01 mail imaplogin: DISCONNECTED, ip=[::ffff:10.4.2.23],
headers=0, body=0


imap *used* to report:
May  3 08:57:01 mail imaplogin: Connection, ip=[::ffff:10.4.2.23]
May  3 08:57:01 mail imaplogin: LOGIN, user=<user>@domain.tld,
ip=[::ffff:10.4.2.23], protocol=IMAP
May  3 08:57:01 mail imaplogin: DISCONNECTED, user=<user>@domain.tld,
ip=[::ffff:10.4.2.23], headers=0, body=0


Can saslauthd not break out the domain into a realm portion?  I have
found no configuration for this.


Thanks,
Leeman Strout

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.21
Locale: LANG=C, LC_CTYPE=C

Versions of packages sasl2-bin depends on:
ii  base-passwd                 3.5.7        Debian base system master password
ii  libasn1-6-heimdal           0.6.1-1      Libraries for Heimdal Kerberos
ii  libc6                       2.3.2.ds1-12 GNU C Library: Shared libraries an
ii  libcomerr2                  1.35-6       The Common Error Description libra
ii  libdb3                      3.2.9-19.1   Berkeley v3 Database Libraries [ru
ii  libgssapi1-heimdal          0.6.1-1      Libraries for Heimdal Kerberos
ii  libkrb-1-kerberos4kth       1.2.2-10     Kerberos Libraries for Kerberos4 F
ii  libkrb5-17-heimdal          0.6.1-1      Libraries for Heimdal Kerberos
ii  libldap2                    2.1.29-2     OpenLDAP libraries
ii  libpam0g                    0.76-21      Pluggable Authentication Modules l
ii  libroken16-kerberos4kth     1.2.2-10     Roken Libraries for Kerberos4 From
ii  libsasl2                    2.1.18-4     Authentication abstraction library
ii  libssl0.9.7                 0.9.7d-1     SSL shared libraries

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to "Gabriel O. Zabal" <gabriel@alt126.com>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #10 received at 248333@bugs.debian.org (full text, mbox):

From: "Gabriel O. Zabal" <gabriel@alt126.com>
To: <248333@bugs.debian.org>
Subject: sasl2-bin truncates the received usernam
Date: Mon, 14 Jun 2004 20:21:35 +0200
[Message part 1 (text/plain, inline)]
I encounter the following problem after upgrading to
sasl2-bin-2.1.18-4.1 :

 

The saslauthd truncates the username, forwarding to PAM the
user@domain.com <mailto:user@domain.com>  in the format: user:user,
realm:domain.com

That breaks many auth mechanism used for virtual hosting.

I just wanted to confirm that this behavior happens with any service
attached to saslauthd

 

Gabriel Zabal

 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Juraj Bednar <juraj@bednar.sk>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #15 received at 248333@bugs.debian.org (full text, mbox):

From: Juraj Bednar <juraj@bednar.sk>
To: 248333@bugs.debian.org
Subject: additional info
Date: Tue, 15 Jun 2004 11:17:22 +0200
Hello,


 I second this. Upstream changed realm behaviour, which breaks pam_mysql
 for example (if your username has form login@domain, saslauthd uses
 only username part. If you use pam, the realm part gets lost on the
 way).

 In CVS, there's a fix to add -r switch, which allows to use the
 compatible behaviour. However, I believe, -r should be default (and the
 patch applied in Debian), so people who upgrade don't get these
 problems.

 As a quick fix, here's a link to patch (you have to apply by hand, it
 does not apply cleanly) to make the pam auth work the old way:

 http://asg.web.cmu.edu/archive/message.php?mailbox=archive.cyrus-sasl&msg=5429

    Juraj.



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Peter Lieverdink <debian-bugs@cafuego.net>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #20 received at 248333@bugs.debian.org (full text, mbox):

From: Peter Lieverdink <debian-bugs@cafuego.net>
To: Debian Bug Tracking System <248333@bugs.debian.org>
Subject: sasl2-bin: Debianised patch fixes this problem.
Date: Mon, 28 Jun 2004 12:52:21 +1000
[Message part 1 (text/plain, inline)]
Package: sasl2-bin
Version: 2.1.18-4.1
Severity: normal
Followup-For: Bug #248333

I also have this probled. There is fix in sasl 2.1.19 (cvs version).
I've grabbed that version and made a debianised patch that can slot into
the cyrus-sasl2-2.1.18/debian/patches directory in the source package.
It adds a '-r' option to saslauthd, which causes it to append @realm to
the login name. I've tested it here and it's working OK. (This mail got
sent via it, using user@domain auth :-)

Please find attached the patch file, 13_fix_pam_realm.diff

Cheers,
- Peter.
[13_fix_pam_realm.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Alexander Schories <alexander@schories.com>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #25 received at 248333@bugs.debian.org (full text, mbox):

From: Alexander Schories <alexander@schories.com>
To: Debian Bug Tracking System <248333@bugs.debian.org>
Subject: sasl2-bin: sasl2 2.1.19 release awaited, e.g. to be able to upgrade postfix 2.0 to postfix 2.1
Date: Fri, 30 Jul 2004 12:08:14 +0200
Package: sasl2-bin
Version: 2.1.15-6
Followup-For: Bug #248333



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-1-686-smp
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages sasl2-bin depends on:
ii  base-passwd                 3.5.7        Debian base system master password
ii  libasn1-6-heimdal           0.6.2-3      Libraries for Heimdal Kerberos
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libcomerr2                  1.35-6       The Common Error Description libra
ii  libdb3                      3.2.9-20     Berkeley v3 Database Libraries [ru
ii  libgssapi1-heimdal          0.6.2-3      Libraries for Heimdal Kerberos
ii  libkrb-1-kerberos4kth       1.2.2-10     Kerberos Libraries for Kerberos4 F
ii  libkrb5-17-heimdal          0.6.2-3      Libraries for Heimdal Kerberos
ii  libldap2                    2.1.23-1     OpenLDAP libraries
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l
ii  libroken16-kerberos4kth     1.2.2-10     Roken Libraries for Kerberos4 From
ii  libsasl2                    2.1.15-6     Authentication abstraction library
ii  libssl0.9.7                 0.9.7d-4     SSL shared libraries
ii  zlib1g                      1:1.2.1.1-5  compression library - runtime

-- no debconf information



Dear valued sasl2-package maintainers,


a lot of recent trouble would be fixed, esp. the realm/domain
passing/missing problem, if you would soon replace the current debian
2.1.18-4.1 version and officially release a version based on latest 2.1.19 version of sasl2 for
debian as well (as it is available on rh and others already for weeks).

Last working version under debian is 2.1.15-6.

!!!!!!!!

Since sasl2 version 2.1.19 a new start option "-r" has been added for
saslauthd which FIXES the realm/domain passing problem!

!!!!!!!!


# saslauthd -h
usage: saslauthd [options]

option information:
  -a <authmech>  Selects the authentication mechanism to use.
  -c             Enable credential caching.
  -d             Debugging (don't detach from tty, implies -V)
  -r             Combine the realm with the login before passing to 
                 authentication mechanism
                 Ex. login: "foo" realm: "bar" will get passed as login: 
		 "foo@bar"
		 The realm name is
		 passed untouched.
  -O <option>    Optional argument to pass to the authentication
                 mechanism.
  -l             Disable accept() locking. Increases performance, but
		 may not be compatible with some
		 operating systems.
  -m <path>      Alternate path for the saslauthd working directory,
		 must be absolute.
  -n <procs>     Number of worker processes to create.
  -s <kilobytes> Size of the credential cache (in kilobytes)
  -t <seconds>   Timeout for items in the credential cache (in seconds)
  -v             Display version information and available mechs
  -V             Enable verbose logging
  -h             Display this message.

 saslauthd 2.1.19
 authentication mechanisms: getpwent kerberos5 pam rimap shadow ldap


 This would make a lot of people and admins happy, that use "postfix2 =>
 sasl2 => pam_mysql => mysql4" as an authentication way, where crypted
 pw`s are stored within mysql.

 Because even postfix 2.1 (package) on debian DEPENDS on a NEWER sasl2 version and won`t run
 with last working 2.1.15-6 version, the replacement of the current debian version 2.1.18-4.1 
 against a 2.1.19 based version is highly appreciated. Only then people
 are not stuck with postfix 2.0 anymore..

 Thank you very much again!


 Alexander Schories
 Tuebingen, Germany



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Lars Ehrhardt <le-debianbugs@biz.h42.de>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #30 received at 248333@bugs.debian.org (full text, mbox):

From: Lars Ehrhardt <le-debianbugs@biz.h42.de>
To: Debian Bug Tracking System <248333@bugs.debian.org>
Subject: sasl2-bin: problem has been fixed with latest unstable version
Date: Thu, 05 Aug 2004 00:32:58 +0200
Package: sasl2-bin
Version: 2.1.19-1
Followup-For: Bug #248333

Hi,

this problem has been solved with the latest package update to 
libsasl2. Please close this bug.

Cheers

Lars

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages sasl2-bin depends on:
ii  base-passwd                 3.5.7        Debian base system master password
ii  libasn1-6-heimdal           0.6.2-3      Libraries for Heimdal Kerberos
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libcomerr2                  1.35-6       The Common Error Description libra
ii  libdb4.2                    4.2.52-16    Berkeley v4.2 Database Libraries [
ii  libgssapi1-heimdal          0.6.2-3      Libraries for Heimdal Kerberos
ii  libkrb-1-kerberos4kth       1.2.2-10     Kerberos Libraries for Kerberos4 F
ii  libkrb5-17-heimdal          0.6.2-3      Libraries for Heimdal Kerberos
ii  libldap2                    2.1.30-2     OpenLDAP libraries
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l
ii  libroken16-kerberos4kth     1.2.2-10     Roken Libraries for Kerberos4 From
ii  libsasl2                    2.1.19-1     Authentication abstraction library
ii  libssl0.9.7                 0.9.7d-4     SSL shared libraries

-- no debconf information



Tags added: fixed Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#248333; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Juraj Bednar <juraj@bednar.sk>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #37 received at 248333@bugs.debian.org (full text, mbox):

From: Juraj Bednar <juraj@bednar.sk>
To: 248333@bugs.debian.org
Subject: fixed somehow
Date: Wed, 20 Oct 2004 10:05:08 +0200
Hello,


 this bug is indeed fixed, if you pass the -r parameter. I would
 suggest, that you:

 a.) display a debconf message, that informs about the change in
 behavior

 or

 b.) change the default config file, so the -r option will be the
 default one

 This way, when people upgrade, they are kept with non-working system
 (if they depend on the behavior of the -r switch, which was default
 once) and with no information about that.


    Juraj.

-- 
Juraj Bednar
http://www.jurajbednar.com/
http://sk.jurajbednar.com/



Tags added: pending Request was from hartmans@mit.edu to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from hartmans@mit.edu to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from "Roberto C. Sanchez" <roberto@connexer.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Fabian Fagerholm <fabbe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Leeman Strout <l.strout@agilixcorp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 248333-close@bugs.debian.org (full text, mbox):

From: Fabian Fagerholm <fabbe@debian.org>
To: 248333-close@bugs.debian.org
Subject: Bug#248333: fixed in cyrus-sasl-2.1 2.1.22-0~pre01
Date: Wed, 25 Oct 2006 06:49:14 -0700
Source: cyrus-sasl-2.1
Source-Version: 2.1.22-0~pre01

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl-2.1, which is due to be installed in the Debian FTP archive:

cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
cyrus-sasl-2.1_2.1.22-0~pre01.dsc
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.dsc
cyrus-sasl-2.1_2.1.22.orig.tar.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22.orig.tar.gz
libsasl2-2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-dev_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules_2.1.22-0~pre01_i386.deb
libsasl2-2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2_2.1.22-0~pre01_i386.deb
libsasl2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-dev_2.1.22-0~pre01_i386.deb
libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules_2.1.22-0~pre01_i386.deb
libsasl2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2_2.1.22-0~pre01_i386.deb
sasl2-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/sasl2-bin_2.1.22-0~pre01_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 248333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Fagerholm <fabbe@debian.org> (supplier of updated cyrus-sasl-2.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 19 Oct 2006 23:26:02 +0300
Source: cyrus-sasl-2.1
Binary: libsasl2-2 cyrus-sasl-2.1-bin libsasl2 libsasl2-2-dev sasl2-bin libsasl2-dev libsasl2-2-modules-gssapi-mit libsasl2-modules-gssapi-heimdal libsasl2-2-modules-otp cyrus-sasl-2.1-doc libsasl2-modules-sql libsasl2-2-modules-sql libsasl2-modules libsasl2-2-modules
Architecture: source i386 all
Version: 2.1.22-0~pre01
Distribution: experimental
Urgency: low
Maintainer: Fabian Fagerholm <fabbe@debian.org>
Changed-By: Fabian Fagerholm <fabbe@debian.org>
Description: 
 cyrus-sasl-2.1-bin - Administration programs for SASL users database
 cyrus-sasl-2.1-doc - Documentation for Cyrus SASL library and utilities
 libsasl2   - Authentication abstraction library
 libsasl2-2 - Authentication abstraction library
 libsasl2-2-dev - Development files for SASL authentication abstraction library
 libsasl2-2-modules - Pluggable Authentication Modules for SASL
 libsasl2-2-modules-gssapi-mit - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-2-modules-otp - Pluggable Authentication Modules for SASL (OTP)
 libsasl2-2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 libsasl2-dev - Development files for SASL authentication abstraction library
 libsasl2-modules - Pluggable Authentication Modules for SASL
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 sasl2-bin  - Administration programs for SASL users database
Closes: 190658 202836 205589 211156 242184 245818 248333 251735 254298 256808 257181 257306 262339 265751 274087 274402 275498 276637 276849 282775 285605 286285 287313 296449 300710 302280 310438 314724 315177 316404 321760 324288 327479 328879 332703 336485 344686 345880 348685 354413 357527 361937 362511 365183 365287 368370 379846 392571
Changes: 
 cyrus-sasl-2.1 (2.1.22-0~pre01) experimental; urgency=low
 .
   * Acknowledged previous NMUs (Closes: #274087, #344686, #362511, #245818)
     (Closes: #276637, #285605, #332703, #336485, #345880, #357527, #379846)
     (Closes: #248333, #315177, #324288, #361937, #242184, #256808, #202836)
     (Closes: #262339, #265751, #275498, #276849)
   * Fabian Fagerholm
     - Adopted package (Closes: #368370)
     - Fixed static linking against libsasl2 (Closes: #282775)
     - Exit with an error if any of the auto* commands fail. (Closes: #321760)
     - New upstream version (Closes: #316404)
       + Fixed crash with DIGEST-MD5 (Closes: #286285, #314724)
       + Built with courier authdaemon support (Closes: #328879)
       + sql plugin respects log_level settings (Closes: #296449)
     - Included a watch file (Closes: #205589)
     - Switched from Heimdal to MIT Kerberos (Closes: #257306, #310438)
     - Repackaged upstream source to remove non-free docs (Closes: #365183)
     - Added symbol versioning (Closes: #327479)
     - Document why libsasl2-modules is recommended (Closes: #302280, #365287)
     - Strip rpath from binaries and shared libraries when build inserts one.
   * Roberto C. Sanchez
     - Added myself to Uploaders field
     - Added missing Build-Depends on groff-base
     - Changed build dependency from db4.2 to db4.4 (Closes: #354413)
     - Made it so that README.configure-options is actually populated
     - Fixed debian/rules so that bogus ldconfig calls are not in post(inst|rm)
     - Added manual page for testsaslauthd(8)
     - Improved socket and pidfile location flexibility
       (Closes: #254298, #300710, #287313)
     - Changed -modules-sql to depend on -modules (Closes: #392571)
     - Put /etc/sasl at start of the config search path (Closes: #211156)
     - Split OTP plugin into its own package (Closes: #251735)
     - Made modules suggest modules-{sql,otp,gssapi-heimdal} (Closes: #348685)
     - Fixed saslauthd init script so it gives useful error (Closes: #257181)
     - Added NTLM to -modules description (Closes: #274402)
     - Added necessary config.h and Makefile to build samples (Closes: #190658)
Files: 
 1b59eac130f785c1f390d751c50eb9cb 1320 libs important cyrus-sasl-2.1_2.1.22-0~pre01.dsc
 47424be7f2f976b40de959fe821308e2 1612191 libs important cyrus-sasl-2.1_2.1.22.orig.tar.gz
 72122bac75b27fe4f82f3ff3570594ac 38623 libs important cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
 c6ec6775496cee74d1269b8c93306495 96586 doc important cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
 35b71f2bb85f205c043662b773a63388 96044 utils important cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
 c8fe4c25365b963903a57cf8496fffed 38696 libs important sasl2-bin_2.1.22-0~pre01_i386.deb
 244106234aac3adc1d1f7e952e4d93dc 38684 oldlibs important libsasl2_2.1.22-0~pre01_i386.deb
 45ff84eb7261a35708586449da9b90a4 97556 libs important libsasl2-2_2.1.22-0~pre01_i386.deb
 fbe701feab3406f8f81463ef0e5ba4bd 38706 oldlibs important libsasl2-modules_2.1.22-0~pre01_i386.deb
 485f5b121078de5b6cc31c536fc2a6b6 144452 libs important libsasl2-2-modules_2.1.22-0~pre01_i386.deb
 1791ba0603100e48c129af5a4910669d 69586 libs optional libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
 5ab82e92327e2971e671071fec383e1b 38714 oldlibs important libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
 ae5826556e94222904e0e40bd0218df8 58720 libs optional libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
 3b09f26d0b41be509b4fbc8305462dc7 38740 oldlibs important libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
 bb2afbbb23630128d7bf384cc19cb90b 60464 libs optional libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
 fb7d5bbba30cc041b1bf6d2da7b216f1 38706 oldlibs important libsasl2-dev_2.1.22-0~pre01_i386.deb
 407a2c1962d232bfe0125ab6aa938d5f 254872 libdevel optional libsasl2-2-dev_2.1.22-0~pre01_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFN+WE76VUNpZBmeIRAiSoAJ9CwVgUjeRTu8olBC3aME1YdW3OngCfUQtr
4O8S+CUd53fCiIMCZOFcZhc=
=tnmS
-----END PGP SIGNATURE-----




Reply sent to "Roberto C. Sanchez" <roberto@connexer.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Leeman Strout <l.strout@agilixcorp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 248333-done@bugs.debian.org (full text, mbox):

From: "Roberto C. Sanchez" <roberto@connexer.com>
To: 254298-done@bugs.debian.org, 257306-done@bugs.debian.org, 274402-done@bugs.debian.org, 190658-done@bugs.debian.org, 248333-done@bugs.debian.org, 324288-done@bugs.debian.org, 242184-done@bugs.debian.org, 256808-done@bugs.debian.org, 202836-done@bugs.debian.org, 262339-done@bugs.debian.org
Subject: These bugs were closed in the now defunct cyrus-sasl-2.1 source package
Date: Tue, 28 Nov 2006 22:33:45 -0500
[Message part 1 (text/plain, inline)]
Version: 2.1.22-0~pre04

-- 
Roberto C. Sanchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:42:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:59:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.